clang 8.0.0

Public Member Functions | Protected Member Functions | List of all members
clang::targets::OSTargetInfo< TgtInfo > Class Template Referenceabstract

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/Basic/Targets/OSTargets.h"`

Inheritance diagram for clang::targets::OSTargetInfo< TgtInfo >:
[legend]
Collaboration diagram for clang::targets::OSTargetInfo< TgtInfo >:
[legend]

## Public Member Functions
| OSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
void | getTargetDefines (const LangOptions &Opts, MacroBuilder &Builder) const override

## Protected Member Functions
virtual void | getOSDefines (const LangOptions &Opts, const llvm::Triple &Triple, MacroBuilder &Builder) const =0

## Detailed Description

### template<typename TgtInfo>
class clang::targets::OSTargetInfo< TgtInfo >

Definition at line 23 of file OSTargets.h.

## Constructor & Destructor Documentation

## ◆ OSTargetInfo()

template<typename TgtInfo>

clang::targets::OSTargetInfo< TgtInfo >::OSTargetInfo | ( | const llvm::Triple & | Triple,
|  | const TargetOptions & | Opts
| ) |  |
| inline

Definition at line 29 of file OSTargets.h.

## Member Function Documentation

## ◆ getOSDefines()

template<typename TgtInfo>

virtual void clang::targets::OSTargetInfo< TgtInfo >::getOSDefines | ( | const LangOptions & | Opts,
|  | const llvm::Triple & | Triple,
|  | MacroBuilder & | Builder
| ) |  | const
| protected pure virtual

Implemented in clang::targets::WebAssemblyOSTargetInfo< Target >, clang::targets::FuchsiaTargetInfo< Target >, clang::targets::NaClTargetInfo< Target >, clang::targets::WindowsTargetInfo< Target >, clang::targets::WindowsTargetInfo< X86_64TargetInfo >, clang::targets::WindowsTargetInfo< ARMleTargetInfo >, clang::targets::WindowsTargetInfo< AArch64leTargetInfo >, clang::targets::WindowsTargetInfo< X86_32TargetInfo >, clang::targets::SolarisTargetInfo< Target >, clang::targets::RTEMSTargetInfo< Target >, clang::targets::PS4OSTargetInfo< Target >, clang::targets::PS3PPUTargetInfo< Target >, clang::targets::PSPTargetInfo< Target >, clang::targets::OpenBSDTargetInfo< Target >, clang::targets::OpenBSDTargetInfo< X86_64TargetInfo >, clang::targets::OpenBSDTargetInfo< X86_32TargetInfo >, clang::targets::NetBSDTargetInfo< Target >, clang::targets::NetBSDTargetInfo< X86_32TargetInfo >, clang::targets::LinuxTargetInfo< Target >, clang::targets::LinuxTargetInfo< X86_64TargetInfo >, clang::targets::LinuxTargetInfo< X86_32TargetInfo >, clang::targets::MinixTargetInfo< Target >, clang::targets::HurdTargetInfo< Target >, clang::targets::HaikuTargetInfo< Target >, clang::targets::HaikuTargetInfo< X86_32TargetInfo >, clang::targets::DarwinARMTargetInfo, clang::targets::KFreeBSDTargetInfo< Target >, clang::targets::FreeBSDTargetInfo< Target >, clang::targets::DarwinAArch64TargetInfo, clang::targets::DragonFlyBSDTargetInfo< Target >, clang::targets::DarwinTargetInfo< Target >, clang::targets::DarwinTargetInfo< PPC32TargetInfo >, clang::targets::DarwinTargetInfo< X86_64TargetInfo >, clang::targets::DarwinTargetInfo< PPC64TargetInfo >, clang::targets::DarwinTargetInfo< ARMleTargetInfo >, clang::targets::DarwinTargetInfo< AArch64leTargetInfo >, clang::targets::DarwinTargetInfo< X86_32TargetInfo >, clang::targets::AnanasTargetInfo< Target >, and clang::targets::CloudABITargetInfo< Target >.

## ◆ getTargetDefines()

template<typename TgtInfo>

void clang::targets::OSTargetInfo< TgtInfo >::getTargetDefines | ( | const LangOptions & | Opts,
|  | MacroBuilder & | Builder
| ) |  | const
| inline override

Definition at line 32 of file OSTargets.h.

The documentation for this class was generated from the following file:

- lib/Basic/Targets/OSTargets.h